wxWidgets: wxListItemAttr Class Reference

| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxListItemAttr Class Reference
Data Structures

`#include <wx/listctrl.h>`

## Detailed Description

Represents the attributes (color, font, ...) of a wxListCtrl's wxListItem.

##

Library: wxCore
Category: Data Structures

See Also
  wxListCtrl Overview, wxListCtrl, wxListItem

## Public Member Functions
| wxListItemAttr ()
| Default Constructor.
| wxListItemAttr (const wxColour &colText, const wxColour &colBack, const wxFont &font)
| Construct a wxListItemAttr with the specified foreground and background colors and font.
const wxColour & | GetBackgroundColour () const
| Returns the currently set background color.
const wxFont & | GetFont () const
| Returns the currently set font.
const wxColour & | GetTextColour () const
| Returns the currently set text color.
bool | HasBackgroundColour () const
| Returns true if the currently set background color is valid.
bool | HasFont () const
| Returns true if the currently set font is valid.
bool | HasTextColour () const
| Returns true if the currently set text color is valid.
void | SetBackgroundColour (const wxColour &colour)
| Sets a new background color.
void | SetFont (const wxFont &font)
| Sets a new font.
void | SetTextColour (const wxColour &colour)
| Sets a new text color.

## Constructor & Destructor Documentation

wxListItemAttr::wxListItemAttr | ( |  | ) |

Default Constructor.

wxListItemAttr::wxListItemAttr | ( | const wxColour & | colText,
|  | const wxColour & | colBack,
|  | const wxFont & | font
| ) |  |

Construct a wxListItemAttr with the specified foreground and background colors and font.

## Member Function Documentation

const wxColour& wxListItemAttr::GetBackgroundColour | ( |  | ) | const

Returns the currently set background color.

const wxFont& wxListItemAttr::GetFont | ( |  | ) | const

Returns the currently set font.

const wxColour& wxListItemAttr::GetTextColour | ( |  | ) | const

Returns the currently set text color.

bool wxListItemAttr::HasBackgroundColour | ( |  | ) | const

Returns true if the currently set background color is valid.

bool wxListItemAttr::HasFont | ( |  | ) | const

Returns true if the currently set font is valid.

bool wxListItemAttr::HasTextColour | ( |  | ) | const

Returns true if the currently set text color is valid.

void wxListItemAttr::SetBackgroundColour | ( | const wxColour & | colour | ) |

Sets a new background color.

void wxListItemAttr::SetFont | ( | const wxFont & | font | ) |

Sets a new font.

void wxListItemAttr::SetTextColour | ( | const wxColour & | colour | ) |

Sets a new text color.